# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(WebService/HMRC.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name WebService-HMRC-HelloWorld
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Interact with the UK HMRC HelloWorld API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NP/NPRATER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl module to interact with the UK's HMRC Making Tax Digital
`Hello World` API. This is often used as a basic test of configuration
and credentials before using their more involved APIs for managing
corporate and personal tax affairs.

For more information, see:
https://developer.service.hmrc.gov.uk/api-documentation/docs/api/service/api-example-microservice/1.0

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE
%perl_vendor_privlib/W*

%changelog
* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

